/*
 * An AgentSheets plug-in example.
 *
 * Copyright (c) 2001-2002 AgentSheets, Inc. All Rights Reserved.
 *
 */

package Plugins;

import javax.swing.*;


/**
 * This simple AgentSheets plug-in adds a custom action to show a message
 * dialog and a custom condition to request user confirmation.
 *
 */
public class DialogPlugin {

    /**
     * This custom action shows the specified message to the user.
     *
     * @param message  the message to show
     */
    public static void Show_Message_Action(String message) {
        String title = "Message";
        JOptionPane.showMessageDialog(null, message, title,
                                      JOptionPane.INFORMATION_MESSAGE);
    }

    /**
     * This custom condition shows a confirmation dialog to the user.
     *
     * @param question  the question that needs confirmation
     * @return true if the user clicked "Yes"; false if the user clicked "No"
     *         or close the dialog
     */
    public static boolean User_Confirm_Condition(String question) {
        int option;
        String title = "Please Confirm";

        option = JOptionPane.showConfirmDialog(null, question, title,
                                               JOptionPane.YES_NO_OPTION);
        return (option == JOptionPane.YES_OPTION);
    }

} // end class DialogPlugin
